"""
Autogenerated module using `pop-create-idem <https://gitlab.com/saltstack/pop/pop-create-idem>`__
"""


async def config_change(hub, ctx, org: str, sddc: str, cluster: str) -> None:
    """
    **Autogenerated function**
    
    Sets the current Microsoft license status of the given SDDC's cluster.

    Args:
        org(str): Organization identifier.
        sddc(str): Sddc identifier.
        cluster(str): cluster identifier.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.msft_licensing.config_change(ctx, org=value, sddc=value, cluster=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.msft_licensing.config_change org=value, sddc=value, cluster=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="post",
        path=ctx.acct.endpoint_url + "/orgs/{org}/sddcs/{sddc}/clusters/{cluster}/msft-licensing/publish".format(**{"org": org, "sddc": sddc, "cluster": cluster}),
        query_params={},
        data={}
    )


async def terms_of_service(hub, ctx, org: str, terms_id: str) -> None:
    """
    **Autogenerated function**
    
    Queries for the terms of service of a given org.

    Args:
        org(str): Organization identifier.
        terms_id(str): The terms of service reference ID to check on.

    Returns:
        None

    Examples:
        Call from code:

        .. code-block:: python

            await hub.exec.vmc.msft_licensing.terms_of_service(ctx, org=value, terms_id=value)

        Call from CLI:

        .. code-block:: bash

            idem exec vmc.msft_licensing.terms_of_service org=value, terms_id=value
    """

    return await hub.tool.http.session.request(
        ctx,
        method="get",
        path=ctx.acct.endpoint_url + "/orgs/{org}/tos".format(**{"org": org}),
        query_params={"termsId": terms_id},
        data={}
    )

